<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE panel SYSTEM "http://www.sigames.com/dtds/sios/panel.dtd">

<panel title="workings">
	<layout class="stick_to_sides_attachment" alignment="all" inset="0"/>

  <container>
    <layout class="arrange_horizontal_attachment" alignment="fill" offset="0" gap="0" layout="-1, 670, 288"/>
    <layout class="stick_to_sides_attachment" alignment="vertical" inset="0" layout_children="true" />
    <layout class="stick_to_sides_attachment" alignment="all" inset="0"/>

    <container/>

    <widget class="picture" auto_size="vertical" file="interface/graphics_options/expanded/bar">
      <layout class="stick_to_sides_attachment" alignment="top" inset="55"/>      
    </widget>

    <container/>
    
  </container>
  
	<!-- This action button covers the entire screen but is invisible. The user doesn't know it's there but it hides the selector when the user clicks anywhere.-->
	
	<widget class="action_button" text=" " appearance=" ">
		<layout class="stick_to_sides_attachment" alignment="all" inset="0"/>
		<event id="click_event" event_id="kev3"/>

		<attachment class="event_relay_attachment" event_id="kev3">
			<record id="action_event">
				<flags id="event_id" value="hide"/>
				<flags id="event_target" value="bgs1"/>
			</record>
		</attachment>

	</widget>

	<!-- container containing the selector panel -->

  <container>
    <layout class="arrange_horizontal_attachment" alignment="fill" offset="0" gap="0" layout="-1, 80, 15, 80, 15, 80, 15, 80, 15, 80, 15, 80, 350"/>
    <layout class="stick_to_sides_attachment" alignment="vertical" inset="0" layout_children="true" />
    <layout class="stick_to_sides_attachment" alignment="all" inset="0"/>

    <container/>

    <widget class="picture" scale_picture="true" keep_aspect_ratio="true" height="80" width="80" file="backgrounds/1">
      <layout class="stick_to_sides_attachment" alignment="top" inset="145"/>
    </widget>

    <container/>
    
    <widget class="picture" scale_picture="true" keep_aspect_ratio="true" height="80" width="80" file="backgrounds/2">
      <layout class="stick_to_sides_attachment" alignment="top" inset="145"/>
    </widget>

    <container/>
    
    <widget class="picture" scale_picture="true" keep_aspect_ratio="true" height="80" width="80" file="backgrounds/3">
      <layout class="stick_to_sides_attachment" alignment="top" inset="145"/>
    </widget>

    <container/>
    
    <widget class="picture" scale_picture="true" keep_aspect_ratio="true" height="80" width="80" file="backgrounds/4">
      <layout class="stick_to_sides_attachment" alignment="top" inset="145"/>
    </widget>

    <container/>
    
    <widget class="picture" scale_picture="true" keep_aspect_ratio="true" height="80" width="80" file="backgrounds/5">
      <layout class="stick_to_sides_attachment" alignment="top" inset="145"/>
    </widget>

    <container/>
    
    <widget class="picture" scale_picture="true" keep_aspect_ratio="true" height="80" width="80" file="backgrounds/6">
      <layout class="stick_to_sides_attachment" alignment="top" inset="145"/>
    </widget>
    
    <container/>
    
  </container>

  <container>
    <layout class="arrange_horizontal_attachment" alignment="fill" offset="0" gap="0" layout="-1, 86, 10, 84, 10, 86, 10, 86, 10, 86, 10, 86, 346"/>
    <layout class="stick_to_sides_attachment" alignment="vertical" inset="0" layout_children="true" />
    <layout class="stick_to_sides_attachment" alignment="all" inset="0"/>

    <container/>

    <widget class="action_button" text="" appearance="interface/graphics_options/selector/button" auto_size="vertical" width="80">
      <layout class="stick_to_sides_attachment" alignment="top" inset="141"/>

      <event id="click_event" event_id="kev1"/>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="show"/>
          <flags id="event_target" value="1pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="2pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="3pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="4pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="5pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="6pic"/>
        </record>
      </attachment>

    </widget>

    <container/>

    <widget class="action_button" text="" appearance="interface/graphics_options/selector/button" auto_size="vertical" width="80">
      <layout class="stick_to_sides_attachment" alignment="top" inset="141"/>
      <event id="click_event" event_id="kev1"/>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="1pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="show"/>
          <flags id="event_target" value="2pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="3pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="4pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="5pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="6pic"/>
        </record>
      </attachment>
    </widget>

    <container/>

    <widget class="action_button" text="" appearance="interface/graphics_options/selector/button" auto_size="vertical" width="80">
      <layout class="stick_to_sides_attachment" alignment="top" inset="141"/>
      
      <event id="click_event" event_id="kev1"/>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="1pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="2pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="show"/>
          <flags id="event_target" value="3pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="4pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="5pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="6pic"/>
        </record>
      </attachment>
    </widget>

    <container/>

    <widget class="action_button" text="" appearance="interface/graphics_options/selector/button" auto_size="vertical" width="80">
      <layout class="stick_to_sides_attachment" alignment="top" inset="141"/>

      <event id="click_event" event_id="kev1"/>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="1pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="2pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="3pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="show"/>
          <flags id="event_target" value="4pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="5pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="6pic"/>
        </record>
      </attachment>
    </widget>

    <container/>

    <widget class="action_button" text="" appearance="interface/graphics_options/selector/button" auto_size="vertical" width="80">
      <layout class="stick_to_sides_attachment" alignment="top" inset="141"/>

      <event id="click_event" event_id="kev1"/>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="1pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="2pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="3pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="4pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="show"/>
          <flags id="event_target" value="5pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="6pic"/>
        </record>
      </attachment>
    </widget>

    <container/>

    <widget class="action_button" text="" appearance="interface/graphics_options/selector/button" auto_size="vertical"  width="80">
      <layout class="stick_to_sides_attachment" alignment="top" inset="141"/>

      <event id="click_event" event_id="kev1"/>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="1pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="2pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="3pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="4pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="hide"/>
          <flags id="event_target" value="5pic"/>
        </record>
      </attachment>

      <attachment class="event_relay_attachment" event_id="kev1">
        <record id="action_event">
          <flags id="event_id" value="show"/>
          <flags id="event_target" value="6pic"/>
        </record>
      </attachment>
    </widget>

    <container/>

  </container>

</panel>
